# Uses of Class
org.apache.felix.log.LoggerAdminImpl

## Uses of LoggerAdminImpl in org.apache.felix.log

Fields in org.apache.felix.log declared as LoggerAdminImpl
Modifier and Type
Field
Description
`protected final LoggerAdminImpl`
LoggerContextImpl.`_loggerAdminImpl`
`protected final LoggerAdminImpl`
LoggerImpl.`m_loggerAdmin`
Constructors in org.apache.felix.log with parameters of type LoggerAdminImpl
Modifier
Constructor
Description
``
`ConfigurationListenerImpl(org.osgi.framework.BundleContext context, org.apache.felix.log.Log log, LoggerAdminImpl loggerAdmin)`
``
`FormatterLoggerImpl(String name, org.osgi.framework.Bundle bundle, org.apache.felix.log.Log log, LoggerAdminImpl loggerAdmin)`
``
`LoggerContextImpl(String name, LoggerAdminImpl loggerAdminImpl, org.osgi.service.log.admin.LoggerContext rootLoggerContext)`
``
`LoggerImpl(String name, org.osgi.framework.Bundle bundle, org.apache.felix.log.Log log, LoggerAdminImpl loggerAdmin)`
``
`RootLoggerContextImpl(String defaultLogLevelString, LoggerAdminImpl loggerAdminImpl)`